{-# LANGUAGE TemplateHaskell #-}

module ELCS.Main.Extract.Config (
  Config(..)
, defaultConfig
) where

import qualified ELCS.CCG.SplitRecursive as SR

import qualified Data.Aeson.TH as AesTH

data Config = Config
  { cfg_alignmentDrivenSplitting :: SR.Options
  , cfg_sentenceTimeout :: Int }

defaultConfig :: Config
defaultConfig = Config
  { cfg_alignmentDrivenSplitting = SR.defaultOptions
  , cfg_sentenceTimeout = -1 }

$(AesTH.deriveJSON AesTH.defaultOptions{AesTH.fieldLabelModifier = drop 4} ''Config)


