{-| The main module for the WriteDefaultConfig command.
-}
module ELCS.Main.WriteDefaultConfig (
  mainWith
) where

import ELCS.Main.Common.CLOptions
import ELCS.Main.Extract.Config

import qualified Data.Aeson.Encode.Pretty as AesP
import qualified Data.ByteString.Lazy as BS


mainWith :: WDCOptions -> IO ()
mainWith opts =
  do
    let fName = wdc_output opts
    let json = AesP.encodePretty defaultConfig
    BS.writeFile fName json

