module ELCS.MR.Split (
  SemSplit(..)
, SemSplitter
) where

import ELCS.CCG.CCG

-- | A meaning representation that has been split into two parts.
data SemSplit m = SemSplit { semSplitCombinator :: Combinator
                           , semSplitHead       :: m
                           , semSplitComplement :: m
                           } deriving (Eq,Show,Ord)
                         
-- | A type for functions that split semantics
type SemSplitter m = Int -> m -> [SemSplit m]


