module ELCS.Main.GrammarToHtml (
  mainWith
) where

import ELCS.CCG
import ELCS.Main.Common.CLOptions

import System.FilePath
import System.FilePath.Glob

mainWith :: GrammarToHtmlOptions -> IO ()
mainWith o = do
  files <- glob (gth_input o)
  mapM_ htmlize files

htmlize :: FilePath -> IO ()
htmlize input = do
  g <- loadGrammarDRT input
  let outName = (dropExtensions input) <.> "html"
  saveGrammarToHTML outName g
